import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { Component_ } from '../../../../../types/interface/Component';
export type DetachOpt = {
    animate?: boolean;
};
export interface I {
    component: Component_;
    host: Component_;
    opt: DetachOpt;
    done: any;
}
export interface O {
}
export default class Detach extends Holder<I, O> {
    private _unlisten;
    constructor(system: System);
    f({ component, host, opt }: I, done: Done<O>): void;
    d(): void;
}
